Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.dom.client
Class TextAreaElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.TextAreaElement

    public class TextAreaElement

extends Element

Multi-line text field.

See Also:
  W3C HTML Specification

Field Summary

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `TextAreaElement()`

Method Summary
`static TextAreaElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`int` | `getCols()` Width of control (in characters).
`java.lang.String` | `getDefaultValue()` Represents the contents of the element.
`boolean` | `getDisabled()`
`FormElement` | `getForm()` Returns the FORM element containing this control.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()`
`int` | `getRows()` Number of text rows.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` The type of this form control.
`java.lang.String` | `getValue()` Represents the current contents of the corresponding form control, in an interactive user agent.
`boolean` | `isDisabled()` The control is unavailable in this context.
`boolean` | `isReadOnly()` This control is read-only.
`void` | `select()` Select the contents of the TEXTAREA.
`void` | `setAccessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`void` | `setCols(int cols)` Width of control (in characters).
`void` | `setDefaultValue(java.lang.String defaultValue)` Represents the contents of the element.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setName(java.lang.String name)` Form control or object name when submitted with a form.
`void` | `setReadOnly(boolean readOnly)` This control is read-only.
`void` | `setRows(int rows)` Number of text rows.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setValue(java.lang.String value)` Represents the current contents of the corresponding form control, in an interactive user agent.

Methods inherited from class com.google.gwt.dom.client.Element
`as, getAbsoluteLeft, getAbsoluteTop, getAttribute, getClassName, getDir, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getParentElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTagName, getTitle, isOrHasChild, removeAttribute, scrollIntoView, setAttribute, setClassName, setDir, setId, setInnerHTML, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyString, setScrollLeft, setScrollTop, setTitle`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createFunction, createObject, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextAreaElement

    protected TextAreaElement()

Method Detail

### as

    public static TextAreaElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### blur

    public final void blur()

  Removes keyboard focus from this element.

### focus

    public final void focus()

  Gives keyboard focus to this element.

### getAccessKey

    public final java.lang.String getAccessKey()

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### getCols

    public final int getCols()

  Width of control (in characters).

  See Also:
    W3C HTML Specification

### getDefaultValue

    public final java.lang.String getDefaultValue()

  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

### getDisabled

    public final boolean getDisabled()

### getForm

    public final FormElement getForm()

  Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

### getName

    public final java.lang.String getName()

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### getReadOnly

    public final boolean getReadOnly()

### getRows

    public final int getRows()

  Number of text rows.

  See Also:
    W3C HTML Specification

### getTabIndex

    public final int getTabIndex()

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  The type of this form control. This the string "textarea".

### getValue

    public final java.lang.String getValue()

  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single string, the implementation may truncate the data.

### isDisabled

    public final boolean isDisabled()

  The control is unavailable in this context.

  See Also:
    W3C HTML Specification

### isReadOnly

    public final boolean isReadOnly()

  This control is read-only.

  See Also:
    W3C HTML Specification

### select

    public final void select()

  Select the contents of the TEXTAREA.

### setAccessKey

    public final void setAccessKey(java.lang.String accessKey)

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### setCols

    public final void setCols(int cols)

  Width of control (in characters).

  See Also:
    W3C HTML Specification

### setDefaultValue

    public final void setDefaultValue(java.lang.String defaultValue)

  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

### setDisabled

    public final void setDisabled(boolean disabled)

  The control is unavailable in this context.

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### setReadOnly

    public final void setReadOnly(boolean readOnly)

  This control is read-only.

  See Also:
    W3C HTML Specification

### setRows

    public final void setRows(int rows)

  Number of text rows.

  See Also:
    W3C HTML Specification

### setTabIndex

    public final void setTabIndex(int tabIndex)

  Index that represents the element's position in the tabbing order.

  See Also:
    W3C HTML Specification

### setValue

    public final void setValue(java.lang.String value)

  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single string, the implementation may truncate the data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD